=== src/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,8 @@
   Bpp/Text/NestedStringTokenizer.cpp
   Bpp/Text/StringTokenizer.cpp
   Bpp/Text/TextTools.cpp
+  Bpp/Graph/BasicONode.cpp
+  Bpp/Graph/BasicTNode.cpp
   Bpp/Graphics/ColorTools.cpp
   Bpp/Graphics/GraphicDevice.cpp
   Bpp/Graphics/Fig/XFigGraphicDevice.cpp
@@ -67,6 +69,7 @@
   Bpp/Numeric/Hmm/LogsumHmmLikelihood.cpp
   Bpp/Numeric/Hmm/LowMemoryRescaledHmmLikelihood.cpp
   Bpp/Numeric/Hmm/RescaledHmmLikelihood.cpp
+  Bpp/Numeric/Prob/Simplex.cpp
   Bpp/Numeric/Prob/AbstractDiscreteDistribution.cpp
   Bpp/Numeric/Prob/BetaDiscreteDistribution.cpp
   Bpp/Numeric/Prob/ConstantDistribution.cpp
@@ -95,6 +98,11 @@
   Bpp/App/ApplicationTools.h
   Bpp/App/BppApplication.h
   Bpp/App/NumCalcApplicationTools.h
+  Bpp/Graph/UNode.h
+  Bpp/Graph/ONode.h
+  Bpp/Graph/TNode.h
+  Bpp/Graph/BasicONode.h
+  Bpp/Graph/BasicTNode.h
   Bpp/Graphics/AbstractGraphicDevice.h
   Bpp/Graphics/ColorManager.h
   Bpp/Graphics/ColorSet.h
@@ -133,6 +141,7 @@
   Bpp/Numeric/Random/Uniform01WH.h
   Bpp/Numeric/VectorExceptions.h
   Bpp/Numeric/VectorTools.h
+  Bpp/Numeric/Range.h
   Bpp/Text/KeyvalTools.h
   Bpp/Text/NestedStringTokenizer.h
   Bpp/Text/StringTokenizer.h
@@ -184,6 +193,7 @@
   Bpp/Numeric/Matrix/LUDecomposition.h
   Bpp/Numeric/Matrix/Matrix.h
   Bpp/Numeric/Matrix/MatrixTools.h
+  Bpp/Numeric/Prob/Simplex.h
   Bpp/Numeric/Prob/AbstractDiscreteDistribution.h
   Bpp/Numeric/Prob/BetaDiscreteDistribution.h
   Bpp/Numeric/Prob/ConstantDistribution.h
