=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,13 +3,16 @@
 # Created: 17/08/2009
 
 # File list
-set(CPP_FILES
+SET(CPP_FILES
   Bpp/Exceptions.cpp
   Bpp/BppString.cpp
   Bpp/App/ApplicationTools.cpp
   Bpp/App/BppApplication.cpp
   Bpp/App/NumCalcApplicationTools.cpp
   Bpp/Io/FileTools.cpp
+  Bpp/Io/BppOParametrizableFormat.cpp
+  Bpp/Io/BppODiscreteDistributionFormat.cpp
+  Bpp/Io/IoDiscreteDistributionFactory.cpp
   Bpp/Utils/AttributesTools.cpp
   Bpp/Text/KeyvalTools.cpp
   Bpp/Text/NestedStringTokenizer.cpp
@@ -43,9 +46,6 @@
   Bpp/Numeric/VectorTools.cpp
   Bpp/Numeric/AutoParameter.cpp
   Bpp/Numeric/DataTable.cpp
-  Bpp/Numeric/Domain.cpp
-  Bpp/Numeric/IntervalData.cpp
-  Bpp/Numeric/NumConstants.cpp
   Bpp/Numeric/Function/AbstractOptimizer.cpp
   Bpp/Numeric/Function/BrentOneDimension.cpp
   Bpp/Numeric/Function/ConjugateGradientMultiDimensions.cpp
@@ -89,7 +89,7 @@
   Bpp/Numeric/Stat/Mva/CorrespondenceAnalysis.cpp 
   )
 
-set(H_FILES
+SET(H_FILES
   Bpp/BppString.h
   Bpp/BppBoolean.h
   Bpp/BppVector.h
@@ -114,7 +114,12 @@
   Bpp/Graphics/RgbColor.h
   Bpp/Io/FileTools.h
   Bpp/Io/IoFormat.h
+  Bpp/Io/IoParametrizable.h
+  Bpp/Io/IoDiscreteDistribution.h
+  Bpp/Io/IoDiscreteDistributionFactory.h
   Bpp/Io/OutputStream.h
+  Bpp/Io/BppOParametrizableFormat.h
+  Bpp/Io/BppODiscreteDistributionFormat.h
   Bpp/Numeric/AbstractParameterAliasable.h
   Bpp/Numeric/AbstractParametrizable.h
   Bpp/Numeric/AdaptiveKernelDensityEstimation.h
@@ -122,8 +127,6 @@
   Bpp/Numeric/Constraints.h
   Bpp/Numeric/DataTableExceptions.h
   Bpp/Numeric/DataTable.h
-  Bpp/Numeric/Domain.h
-  Bpp/Numeric/IntervalData.h
   Bpp/Numeric/Number.h
   Bpp/Numeric/NumConstants.h
   Bpp/Numeric/NumTools.h
@@ -217,24 +220,29 @@
 )
 
 # Build the static lib
-add_library(bppcore-static STATIC ${CPP_FILES})
-set_target_properties(bppcore-static
+ADD_LIBRARY(bppcore-static STATIC ${CPP_FILES})
+SET_TARGET_PROPERTIES(bppcore-static
   PROPERTIES OUTPUT_NAME bpp-core
   CLEAN_DIRECT_OUTPUT 1
   )
+TARGET_LINK_LIBRARIES(bppcore-static ${LIBS})
 
 # Build the shared lib
-add_library(bppcore-shared SHARED ${CPP_FILES})
-set_target_properties(bppcore-shared
+ADD_LIBRARY(bppcore-shared SHARED ${CPP_FILES})
+SET_TARGET_PROPERTIES(bppcore-shared
   PROPERTIES OUTPUT_NAME bpp-core
   CLEAN_DIRECT_OUTPUT 1
   VERSION ${BPPCORE_VERSION}
   SOVERSION ${BPPCORE_VERSION_MAJOR}
   )
+TARGET_LINK_LIBRARIES(bppcore-shared ${LIBS})
 
 # Install libs
-install(TARGETS bppcore-static bppcore-shared DESTINATION lib${LIB_SUFFIX})
+INSTALL(TARGETS bppcore-static bppcore-shared DESTINATION lib${LIB_SUFFIX})
 
 # Install headers
-install(DIRECTORY Bpp/ DESTINATION include/Bpp FILES_MATCHING PATTERN "*.h" PATTERN "*.all")
-
+INSTALL(DIRECTORY Bpp/ DESTINATION include/Bpp FILES_MATCHING PATTERN "*.h")
+
+# Generate generic include files (.all)
+INSTALL(CODE "EXECUTE_PROCESS(COMMAND ${CMAKE_SOURCE_DIR}/genIncludes.sh ${CMAKE_PREFIX_PATH}/include/Bpp)")
+
