=== debian/changelog ===
libbpp-core (2.1.0-1ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 04:41:24 +0000

libbpp-core (2.1.0-1) unstable; urgency=low

  * Extended range classes
  * Improved initialization of static members
  * Extended support for BppO.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 04 Mar 2013 10:15:00 +0100
