=== debian/control ===
Source: libbpp-core
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Loic Dachary <loic@dachary.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>
Build-Depends: debhelper (>= 5), cmake (>= 2.6)
Standards-Version: 3.9.1

Package: libbpp-core-dev
Section: libdevel
Architecture: any
Depends: libbpp-core2v5 (= ${binary:Version}), ${misc:Depends}
Description: Bio++ Core library development files.
 Contains the Bio++ core classes.

Package: libbpp-core2v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libbpp-core2
Replaces: libbpp-core2
Description: Bio++ Core library.
 Contains the Bio++ core classes.
