=== src/CMakeLists.txt ===
--- 
+++ 
@@ -66,6 +66,10 @@
   Bpp/Numeric/Function/SimpleNewtonMultiDimensions.cpp
   Bpp/Numeric/Function/ThreePointsNumericalDerivative.cpp
   Bpp/Numeric/Function/TwoPointsNumericalDerivative.cpp
+  Bpp/Numeric/Hmm/HmmLikelihood.cpp
+  Bpp/Numeric/Hmm/AbstractHmmTransitionMatrix.cpp
+  Bpp/Numeric/Hmm/FullHmmTransitionMatrix.cpp
+  Bpp/Numeric/Hmm/AutoCorrelationTransitionMatrix.cpp
   Bpp/Numeric/Hmm/LogsumHmmLikelihood.cpp
   Bpp/Numeric/Hmm/LowMemoryRescaledHmmLikelihood.cpp
   Bpp/Numeric/Hmm/RescaledHmmLikelihood.cpp
@@ -135,6 +139,7 @@
   Bpp/Numeric/Parameter.h
   Bpp/Numeric/ParameterList.h
   Bpp/Numeric/Parametrizable.h
+  Bpp/Numeric/ParametrizableCollection.cpp
   Bpp/Numeric/TransformedParameter.h
   Bpp/Numeric/Random/RandomFactory.h
   Bpp/Numeric/Random/RandomTools.h
@@ -189,6 +194,9 @@
   Bpp/Numeric/Hmm/HmmLikelihood.h
   Bpp/Numeric/Hmm/HmmStateAlphabet.h
   Bpp/Numeric/Hmm/HmmTransitionMatrix.h
+  Bpp/Numeric/Hmm/AbstractHmmTransitionMatrix.h
+  Bpp/Numeric/Hmm/FullHmmTransitionMatrix.h
+  Bpp/Numeric/Hmm/AutoCorrelationTransitionMatrix.h
   Bpp/Numeric/Hmm/LogsumHmmLikelihood.h
   Bpp/Numeric/Hmm/LowMemoryRescaledHmmLikelihood.h
   Bpp/Numeric/Hmm/RescaledHmmLikelihood.h
