=== debian/changelog ===
libbpp-core (2.2.0-3) unstable; urgency=medium

  * Team upload
  [ Andreas Tille ]
  * d/postrm: remove useless ldconfig call
  * hardening=+bindnow

  [ Gert Wollny ]
  * d/p/gcc-6.patch: fix compilation with g++-6, Closes: #811657
  * cme fix dpkg-control
  * d/p/unforce..: Do not force CXX flags from CMake file 

 -- Gert Wollny <gw.fossdev@gmail.com>  Thu, 09 Jun 2016 15:50:20 +0200

libbpp-core (2.2.0-2) unstable; urgency=medium

  * Fix installation via d-shlibmove
  * d/compat: 9

 -- Andreas Tille <tille@debian.org>  Thu, 21 Apr 2016 17:01:36 +0200

libbpp-core (2.2.0-1) unstable; urgency=medium

  * New upstream version
  * Moved to Debian Med Git
  * Better description
    Closes: #641931
  * Team maintenance in Debian Med team
  * wrote watch file
  * DEP5 copyright
  * Short dh rules file
  * Use d-shlibs
  * Library transition
    Closes: #791093

 -- Andreas Tille <tille@debian.org>  Fri, 08 Apr 2016 23:52:21 +0200
