=== debian/changelog ===
libbpp-core (2.3.1-5) unstable; urgency=medium

  * Rebuild with gcc-7
  * Standards-Version: 4.0.1

 -- Andreas Tille <tille@debian.org>  Wed, 23 Aug 2017 19:30:10 +0200

libbpp-core (2.3.1-4) unstable; urgency=medium

  [ Julien Dutheil ]
  * Removed deprecated postint scripts. 

  [ Andreas Tille ]
  * hardening=+all
  * Standards-Version: 4.0.0 (no changes needed)

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Tue, 18 Jul 2017 08:55:54 +0200

libbpp-core (2.3.1-3) unstable; urgency=medium

  * cmake files belong to /usr/lib/$(DEB_HOST_MULTIARCH)

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2017 20:50:40 +0200

libbpp-core (2.3.1-2) unstable; urgency=medium

  * debhelper 10
  * Make sure cmake files will be found by d-shlibs
    Closes: #865466

 -- Andreas Tille <tille@debian.org>  Wed, 21 Jun 2017 21:09:41 +0200

libbpp-core (2.3.1-1) unstable; urgency=medium

  * New upstream version
    Closes: #864188
  * Install cmake files into development package

 -- Andreas Tille <tille@debian.org>  Tue, 13 Jun 2017 11:41:39 +0200

libbpp-core (2.3.0-1~exp1) unstable; urgency=medium

  * New upstream version
  * d/watch: point to github

 -- Andreas Tille <tille@debian.org>  Fri, 02 Jun 2017 23:10:15 +0200
