=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                cmake,
                d-shlibs
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libbpp-core.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/libbpp-core.git
 Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page
@@ -15,7 +15,7 @@
 Package: libbpp-core-dev
 Architecture: any
 Section: libdevel
-Depends: libbpp-core2v5 (= ${binary:Version}),
+Depends: libbpp-core3 (= ${binary:Version}),
          ${misc:Depends}
 Description: Bio++ Core library development files
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
@@ -27,14 +27,12 @@
  This package contains the static library and the header files of the
  Bio++ core classes.
 
-Package: libbpp-core2v5
+Package: libbpp-core3
 Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Conflicts: libbpp-core2
-Replaces: libbpp-core2
 Description: Bio++ Core library
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.
